summaryrefslogtreecommitdiffstats
path: root/system/rasdaemon/rc.rasdaemon
diff options
context:
space:
mode:
author Julian Grinblat <julian@dotcore.co.il>2023-04-13 21:05:34 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-15 07:15:24 +0700
commitb43c76b00c10e02ac3408d050b1a7c822ed7bf6e (patch)
treeb62e9dc06db5d901a089fc27b376c81745332f69 /system/rasdaemon/rc.rasdaemon
parent8459d361711b9f29755f26013ad9aa5bb4fa3138 (diff)
downloadslackbuilds-b43c76b00c10e02ac3408d050b1a7c822ed7bf6e.tar.gz
slackbuilds-b43c76b00c10e02ac3408d050b1a7c822ed7bf6e.tar.xz
system/rasdaemon: Added (RAS logging tool)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/rasdaemon/rc.rasdaemon')
-rw-r--r--system/rasdaemon/rc.rasdaemon61
1 files changed, 61 insertions, 0 deletions
diff --git a/system/rasdaemon/rc.rasdaemon b/system/rasdaemon/rc.rasdaemon
new file mode 100644
index 0000000000..b06c345dd4
--- /dev/null
+++ b/system/rasdaemon/rc.rasdaemon
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Rasdaemon startup script for Slackware Linux
+
+BASE=rasdaemon
+
+UNSHARE=/usr/bin/unshare
+RASDAEMON=/usr/bin/${BASE}
+
+# Check if rasdaemon is present.
+if [ ! -x ${RASDAEMON} ]; then
+ echo "${RASDAEMON} not present or not executable"
+ exit 1
+fi
+
+rasdaemon_start() {
+ echo "Starting ${BASE} ..."
+
+ ${RASDAEMON} -r
+ ${RASDAEMON} --enable
+}
+
+rasdaemon_stop() {
+ echo -n "Stopping ${BASE} ..."
+ ${RASDAEMON} --disable
+ echo " done"
+}
+
+rasdaemon_restart() {
+ rasdaemon_stop
+ sleep 1
+ rasdaemon_start
+}
+
+rasdaemon_status() {
+ pid=$(pidof ${BASE})
+ if [ ! -z "${pid}" ] && ps -o cmd $pid | grep -q ${BASE} ; then
+ echo "Status of ${BASE}: running"
+ else
+ echo "Status of ${BASE}: stopped"
+ fi
+}
+
+case "$1" in
+ 'start')
+ rasdaemon_start
+ ;;
+ 'stop')
+ rasdaemon_stop
+ ;;
+ 'restart')
+ rasdaemon_restart
+ ;;
+ 'status')
+ rasdaemon_status
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+esac
+
+exit 0